Package org.linphone.core

# Class AccountListenerStub

java.lang.Object
org.linphone.core.AccountListenerStub

All Implemented Interfaces:
  `AccountListener`

public class AccountListenerStub extends Object implements AccountListener

## Constructor Summary

Constructors
Constructor
Description
`AccountListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onConferenceInformationUpdated(Account account, ConferenceInfo[] infos)`
Get the conference information updated callback.
`void`
`onMessageWaitingIndicationChanged(Account account, MessageWaitingIndication mwi)`
Get the message waiting indication changed callback.
`void`
`onRegistrationStateChanged(Account account, RegistrationState state, String message)`
Get the registration state changed callback.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccountListenerStub

public AccountListenerStub()

## Method Details

### onRegistrationStateChanged

public void onRegistrationStateChanged(@NonNull Account account, RegistrationState state, @NonNull String message)
Description copied from interface: `AccountListener`
Get the registration state changed callback.

Specified by:
  `onRegistrationStateChanged` in interface `AccountListener`

### onMessageWaitingIndicationChanged

public void onMessageWaitingIndicationChanged(@NonNull Account account, @NonNull MessageWaitingIndication mwi)
Description copied from interface: `AccountListener`
Get the message waiting indication changed callback.

Specified by:
  `onMessageWaitingIndicationChanged` in interface `AccountListener`

### onConferenceInformationUpdated

public void onConferenceInformationUpdated(@NonNull Account account, @NonNull ConferenceInfo[] infos)
Description copied from interface: `AccountListener`
Get the conference information updated callback.

Specified by:
  `onConferenceInformationUpdated` in interface `AccountListener`